Upload source map
- Base URL
-
https://{kibana_url}
-
POST
/api/apm/sourcemaps
-
POST
/s/{space_id}/api/apm/sourcemaps
Auth
Upload a source map for a specific service and version.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
The version of the API to use
-
Values:
2023-10-31
-
A required header to protect against CSRF attacks
-
bundle_filepath
string
required
-
The absolute path of the final bundle as used in the web application.
-
service_name
string
required
-
The name of the service that the service map should apply to.
-
service_version
string
required
-
The version of the service that the service map should apply to.
-
compressionAlgorithm
string
-
Compression Algorithm
-
created
string
-
Created date
-
decodedSha256
string
-
Decoded SHA-256
-
decodedSize
number
-
Decoded size
-
encodedSha256
string
-
Encoded SHA-256
-
encodedSize
number
-
Encoded size
-
encryptionAlgorithm
string
-
Encryption Algorithm
-
identifier
string
-
Identifier
-
packageName
string
-
Package name
-
relative_url
string
-
Relative URL
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code
Internal Server Error response
application/json
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code
Thank you for your feedback.